﻿varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform lowp vec3 setColor;
uniform mediump float intensity;

void main(void)
{
lowp vec4 front = texture2D(samplerFront, vTex);
lowp vec3 col = setColor;
lowp vec3 mixed;
mixed.r = front.r < 0.5 ? 2.0 * front.r * col.r : 2.0 * (col.r + front.r - front.r * col.r) - 1.;
mixed.g = front.g < 0.5 ? 2.0 * front.g * col.g : 2.0 * (col.g + front.g - front.g * col.g) - 1.;
mixed.b = front.b < 0.5 ? 2.0 * front.b * col.b : 2.0 * (col.b + front.b - front.b * col.b) - 1.;

gl_FragColor = mix(front, vec4(mixed, front.a), intensity);
}
